1526 matches found
Malicious code in @keyv/compress-brotli (npm)
--- -= Per source details. Do not edit below this line.=- Source: amazon-inspector 86bff1a8498159cc349a64d9d6459b842242e7d860aa2a33649708c9fc5f456a Package @keyv/[email protected] is a Brotli compression adapter for the keyv key-value store family. No credential access, network exfiltration,...
Malicious code in @keyv/compress-lz4 (npm)
--- -= Per source details. Do not edit below this line.=- Source: amazon-inspector cd7fac64e01bf267ca0ee1c3234782fd17c24865d3be3e0cbfa26b65fe83c1a3 Package is an LZ4 compression adapter for the keyv key-value store. The dist bundles dist/index.cjs and dist/index.mjs contain Buffer.from...,...
MAL-2026-12011 Malicious code in @keyv/compress-lz4 (npm)
--- -= Per source details. Do not edit below this line.=- Source: amazon-inspector cd7fac64e01bf267ca0ee1c3234782fd17c24865d3be3e0cbfa26b65fe83c1a3 Package is an LZ4 compression adapter for the keyv key-value store. The dist bundles dist/index.cjs and dist/index.mjs contain Buffer.from...,...
hermes-agent has an Injection issue
A vulnerability was identified in NousResearch hermes-agent up to 0.12.0. Affected by this vulnerability is the function compresscontext of the file runagent.py. The manipulation leads to injection. It is possible to initiate the attack remotely. The exploit is publicly available and might be use...
PYSEC-2026-3577 hermes-agent has an Injection issue
A vulnerability was identified in NousResearch hermes-agent up to 0.12.0. Affected by this vulnerability is the function compresscontext of the file runagent.py. The manipulation leads to injection. It is possible to initiate the attack remotely. The exploit is publicly available and might be use...
ROS-20260804-73-0030
The vulnerability of the f2fsfreedic function in the fs/f2fs/compress.c module of the F2FS file system in the Linux operating system is related to the reutilization of previously freed memory. Exploiting this vulnerability can allow an attacker to cause a service failure...
MiracleLinux 9 : perl-IO-Compress-2.102-4.el9_8.1 (AXSA:2026-1440:02)
The remote MiracleLinux 9 host has a package installed that is affected by a vulnerability as referenced in the AXSA:2026-1440:02 advisory. perl-IO-Compress: perl-IO-Compress: Arbitrary code execution via attacker-controlled output glob CVE-2026-48962 Tenable has extracted the preceding descripti...
RHEL 8 : perl:5.32 (RHSA-2026:50262)
The remote Redhat Enterprise Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the RHSA-2026:50262 advisory. Perl is a high-level programming language that is commonly used for system administration utilities and web programming. Security Fixes:...
K000162691: Perl IO::Compress vulnerability CVE-2026-48962
Security Advisory Description IO::Compress versions before 2.220 for Perl can execute arbitrary code in File::GlobMapper via an attacker-controlled output glob. parseOutputGlob wraps the caller-supplied output glob string in double quotes and stores it in the parser state; getFiles then runs the...
RLSA-2026:30858 Important: perl-IO-Compress security update
This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 i.e. gzip and zip files/buffers. The following modules used to be distributed...
perl-IO-Compress security update
An update is available for perl-IO-Compress. This update affects Rocky Linux 8. A Common Vulnerability Scoring System CVSS base score, which gives a detailed severity rating, is available for each vulnerability from the CVE list This distribution provides a Perl interface to allow reading and...
RockyLinux 8 : perl-IO-Compress (RLSA-2026:30858)
The remote RockyLinux 8 host has a package installed that is affected by a vulnerability as referenced in the RLSA-2026:30858 advisory. perl-IO-Compress: perl-IO-Compress: Arbitrary code execution via attacker-controlled output glob CVE-2026-48962 Tenable has extracted the preceding description...
SUSE SLED15: apache-commons-compress / apache-commons-lang3 / beust-jcommander / etc (SUSE-SU-2026:3390-1)
The remote SUSE Linux SLED15 / SLEDSAP15 / SLES15 / SLESSAP15 host has packages installed that are affected by a vulnerability as referenced in the SUSE-SU-2026:3390-1 advisory. apache-commons-lang3 was updated to 3.20.0: New features: - Add SystemProperties.getPathString, Supplier - Add...
UBUNTU-CVE-2024-14041
In Bouncy Castle for Java from 1.73 to before 1.78, three ML-KEM CRYSTALS-Kyber routines divided secret-derived polynomial coefficients by the modulus q: Poly.toMsg, which decodes the decrypted message, and the ciphertext compression routines Poly.compressPoly and PolyVec.compressPolyVec. An...
CVE-2026-64485
A flaw was found in the Linux kernel's Advanced Linux Sound Architecture ALSA compress module. The sndcomprtasknew function, responsible for creating driver tasks, does not properly handle errors during the validation of Direct Memory Access DMA buffers or file descriptor reservation. This...
SUSE CVE-2026-64485
In the Linux kernel, the following vulnerability has been resolved: ALSA: compress: Fix task creation error unwind sndcomprtasknew allocates the driver task before validating the returned DMA buffers and reserving file descriptors. When either of those later steps fails, the core frees its task...
CVE-2026-64485
In the Linux kernel, the following vulnerability has been resolved: ALSA: compress: Fix task creation error unwind sndcomprtasknew allocates the driver task before validating the returned DMA buffers and reserving file descriptors. When either of those later steps fails, the core frees its task...
CVE-2026-64485
In the Linux kernel, the following vulnerability has been resolved: ALSA: compress: Fix task creation error unwind sndcomprtasknew allocates the driver task before validating the returned DMA buffers and reserving file descriptors. When either of those later steps fails, the core frees its task...
UBUNTU-CVE-2026-64485
In the Linux kernel, the following vulnerability has been resolved: ALSA: compress: Fix task creation error unwind sndcomprtasknew allocates the driver task before validating the returned DMA buffers and reserving file descriptors. When either of those later steps fails, the core frees its task...
CVE-2026-64485 ALSA: compress: Fix task creation error unwind
In the Linux kernel, the following vulnerability has been resolved: ALSA: compress: Fix task creation error unwind sndcomprtasknew allocates the driver task before validating the returned DMA buffers and reserving file descriptors. When either of those later steps fails, the core frees its task...